ensymble_0.29-1_all.deb


Advertisement

Description

ensymble - developer utilities for Symbian OS

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename ensymble_0.29-1_all.deb
Package name ensymble
Package version 0.29
Package release 1
Package architecture all
Package type deb
Category devel
Homepage http://code.google.com/p/ensymble/
License -
Maintainer Dominic Hargreaves <dom@earth.li>
Download size 75.46 KB
Installed size 353.00 KB
This is the Ensymble developer utilities for Symbian OS(TM), a
collection of Python modules and command line programs for Symbian
OS software development.
Current focus of Ensymble development is to provide useful tools for
making "Python for S60" (also called PyS60) programs. Supported
functions include generation of SIS (installation) packages, merging
several SIS packages into one, (re-)signing existing SIS packages and
modifying extension DLL headers. Support for other Symbian OS software
development tasks will follow.

Alternatives

Package Version Architecture Repository
ensymble_0.29-1_all.deb 0.29 all Debian Main
ensymble - - -

Requires

Name Value
openssl -
python << 2.8
python >= 2.6.6-7~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ensymble_0.29-1_all.deb
Source Package ensymble

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ensymble deb package:
    # sudo apt-get install ensymble

Files

Path
/usr/bin/ensymble
/usr/lib/python2.6/dist-packages/ensymble-0.29.egg-info
/usr/lib/python2.6/dist-packages/ensymble/__init__.py
/usr/lib/python2.6/dist-packages/ensymble/actions/__init__.py
/usr/lib/python2.6/dist-packages/ensymble/actions/altere32.py
/usr/lib/python2.6/dist-packages/ensymble/actions/genuid.py
/usr/lib/python2.6/dist-packages/ensymble/actions/infoe32.py
/usr/lib/python2.6/dist-packages/ensymble/actions/mergesis.py
/usr/lib/python2.6/dist-packages/ensymble/actions/py2sis.py
/usr/lib/python2.6/dist-packages/ensymble/actions/signsis.py
/usr/lib/python2.6/dist-packages/ensymble/actions/simplesis.py
/usr/lib/python2.6/dist-packages/ensymble/utils/__init__.py
/usr/lib/python2.6/dist-packages/ensymble/utils/cryptutil.py
/usr/lib/python2.6/dist-packages/ensymble/utils/defaultcert.py
/usr/lib/python2.6/dist-packages/ensymble/utils/miffile.py
/usr/lib/python2.6/dist-packages/ensymble/utils/rscfile.py
/usr/lib/python2.6/dist-packages/ensymble/utils/sisfield.py
/usr/lib/python2.6/dist-packages/ensymble/utils/sisfile.py
/usr/lib/python2.6/dist-packages/ensymble/utils/symbianutil.py
/usr/lib/python2.7/dist-packages/ensymble-0.29.egg-info
/usr/lib/python2.7/dist-packages/ensymble/__init__.py
/usr/lib/python2.7/dist-packages/ensymble/actions/__init__.py
/usr/lib/python2.7/dist-packages/ensymble/actions/altere32.py
/usr/lib/python2.7/dist-packages/ensymble/actions/genuid.py
/usr/lib/python2.7/dist-packages/ensymble/actions/infoe32.py
/usr/lib/python2.7/dist-packages/ensymble/actions/mergesis.py
/usr/lib/python2.7/dist-packages/ensymble/actions/py2sis.py
/usr/lib/python2.7/dist-packages/ensymble/actions/signsis.py
/usr/lib/python2.7/dist-packages/ensymble/actions/simplesis.py
/usr/lib/python2.7/dist-packages/ensymble/utils/__init__.py
/usr/lib/python2.7/dist-packages/ensymble/utils/cryptutil.py
/usr/lib/python2.7/dist-packages/ensymble/utils/defaultcert.py
/usr/lib/python2.7/dist-packages/ensymble/utils/miffile.py
/usr/lib/python2.7/dist-packages/ensymble/utils/rscfile.py
/usr/lib/python2.7/dist-packages/ensymble/utils/sisfield.py
/usr/lib/python2.7/dist-packages/ensymble/utils/sisfile.py
/usr/lib/python2.7/dist-packages/ensymble/utils/symbianutil.py
/usr/share/doc/ensymble/README.gz
/usr/share/doc/ensymble/TODO
/usr/share/doc/ensymble/changelog.Debian.gz
/usr/share/doc/ensymble/copyright
/usr/share/man/man1/ensymble.1.gz
/usr/share/pyshared/ensymble-0.29.egg-info
/usr/share/pyshared/ensymble/__init__.py
/usr/share/pyshared/ensymble/actions/__init__.py
/usr/share/pyshared/ensymble/actions/altere32.py
/usr/share/pyshared/ensymble/actions/genuid.py
/usr/share/pyshared/ensymble/actions/infoe32.py
/usr/share/pyshared/ensymble/actions/mergesis.py
/usr/share/pyshared/ensymble/actions/py2sis.py
/usr/share/pyshared/ensymble/actions/signsis.py
/usr/share/pyshared/ensymble/actions/simplesis.py
/usr/share/pyshared/ensymble/utils/__init__.py
/usr/share/pyshared/ensymble/utils/cryptutil.py
/usr/share/pyshared/ensymble/utils/defaultcert.py
/usr/share/pyshared/ensymble/utils/miffile.py
/usr/share/pyshared/ensymble/utils/rscfile.py
/usr/share/pyshared/ensymble/utils/sisfield.py
/usr/share/pyshared/ensymble/utils/sisfile.py
/usr/share/pyshared/ensymble/utils/symbianutil.py

Changelog

2013-05-05 - Dominic Hargreaves <dom@earth.li>
ensymble (0.29-1) unstable; urgency=low
[ Dominic Hargreaves ]
* New upstream release
* Update Standards-Version (no changes)
* Switch to minimal dh7 rules file
* Update to debhelper compatibility level 7
* Update source format version to 3.0 (quilt)
* Include patch relating to exestub which was removed from upstream
[ Eddy Petrișor ]
* new upstream version uses hashlib (Closes: #629125)
2012-10-28 - Dominic Hargreaves <dom@earth.li>
ensymble (0.28-3) unstable; urgency=low
[ Eddy Petrișor ]
* drop python-central (Closes: 616799)
- add dependency on python (>= 2.6.6-3~)
- remove XB-Python-Version line
- Use X-Python-Version instead of XS-Python-Version
2011-06-07 - Dominic Hargreaves <dom@earth.li>
ensymble (0.28-2) unstable; urgency=low
* Acknowledge NMU
* Include changes from Jakub Wilk to fix builds against Python 2.7
(Closes: #629148)
* Update Vcs-* to reflect new Git repository
* Add missing ${misc:Depends} (thanks, Lintian)
* Improve clean target to remove ensymble.1
* Update Standards-Version (no changes)
2010-06-25 - Andreas Barth <aba@not.so.argh.org>
ensymble (0.28-1.1) unstable; urgency=low
[ Stefano Rivera ]
* Non-maintainer upload.
* Support Python 2.6 (Closes: #586197)
[ Andreas Barth ]
* Actually uploading.
2009-02-25 - Dominic Hargreaves <dom@earth.li>
ensymble (0.28-1) unstable; urgency=low
* New upstream release
* Update watch file to reflect new project location
* Add Homepage, Vcs-Browser and Vcs-Svn control fields
* Fix reference to GPL to point to GPL-2 specific file
2008-07-14 - Dominic Hargreaves <dom@earth.li>
ensymble (0.27-1) unstable; urgency=low
* New upstream release
* Update Standards-Version:
- Reference Apache 2.0 license rather than including it
2008-02-24 - Dominic Hargreaves <dom@earth.li>
ensymble (0.26-2) unstable; urgency=low
* Fix idiotic lintian/copyright file problems, sorry
ftpmaster.
2008-01-28 - Dominic Hargreaves <dom@earth.li>
ensymble (0.26-1) unstable; urgency=low
* Initial release (Closes: #462273)

See Also

Package Description
ent_1.2debian-1+b1_i386.deb pseudorandom number sequence test program
entagged_0.35-5_all.deb graphical audio file tagger with freedb support
entangle_0.7.1-1+b1_i386.deb Tethered Camera Control & Capture
entr_3.6-1_i386.deb Run arbitrary commands when files change
entropybroker_2.8-3_i386.deb infrastructure for distributing random numbers (entropy data)
enum_1.1-1_i386.deb seq- and jot-like enumerator
env2_1.1.0-3_all.deb convert environment variables between scripting languages
environment-modules_3.2.10-10_i386.deb Modular system for handling environment variables
envstore_2.1-4_i386.deb store for environment variables across shell processes
eoconv_1.5-1_i386.deb convert text files between various Esperanto encodings
eog-dev_3.20.5-1+b1_i386.deb Development files for the Eye of GNOME
eog-plugins_3.16.5-1_i386.deb set of plugins for eog
eog_3.20.5-1+b1_i386.deb Eye of GNOME graphics viewer program
eom-common_1.16.1-1_all.deb Eye of MATE graphics viewer program (common files)
eom-dev_1.16.1-1_i386.deb Eye of MATE graphics viewer program (development files)
Advertisement
Advertisement